| libvkdaq VKINGING DAQ Library API Reference |

Loading...
Searching...
No Matches
Functions
Error handling
libvkdaq Function interface

## Functions
const char * | VkDaqGetLastErrorInfo (void)
| Get the error message of the last execution.

## Detailed Description

## Function Documentation

## ◆ VkDaqGetLastErrorInfo()

const char * VkDaqGetLastErrorInfo | ( | void |  | ) |

Get the error message of the last execution.

Returns
  Returns the error message of the last execution.

Error code | Meaning
--- | ---
`0` | `The operation was successful without any errors`
`-10001` | `There is no such API available`
`-10002` | `Parameter is empty`
`-10003` | `The number of parameters does not match`
`-10004` | `Invalid parameter`
`-10005` | `The device does not have this attribute`
`-10006` | `The device attribute is empty`
`-10007` | `The device does not have this channel`
`-10008` | `The channel does not have this attribute`
`-10009` | `The channel attribute is empty`
`-10010` | `Task does not exist`
`-10011` | `Task has been executed`
`-10012` | `Task stopped`
`-10013` | `Destruction of running tasks is not allowed`
`-10014` | `Task already exists`
`-10015` | `The task does not specify a channel`
`-10016` | `Not all requested channels are available`
`-10017` | `The task does not have this attribute`
`-10018` | `Setting this attribute is not allowed during task execution`
`-10019` | `Unable to set the task properties`
`-10020` | `Not a valid IPv4 address`
`-10021` | `The device is not online`
`-10022` | `The task name is illegal`
`-10023` | `The task can only be operated by the creator`
`-10024` | `Channel format error`
`-10025` | `Illegal data filling mode`
`-10026` | `Operation timeout`
`-10027` | `Task not enabled`
`-10028` | `buffer too small`
`-10029` | `Busy with tasks`
`-10030` | `request timeout`
`-10031` | `The channel has been used`
`-10032` | `Operation not supported`
`-10033` | `Device not ready`
`-10035` | `File opening failed`
`-10036` | `File IO error`
`-10037` | `Unsupported file format`
`-11000` | `Operation failed`
`-12001` | `iiopp anomalies`
`-12002` | `zmq anomalies`
`-12003` | `std anomalies`
`-12004` | `Other anomalies`
`-20000` | `Unacquired errors`

C language reference
#include <stdio.h>
#include "libvkdaq.h"
int main(int argc, char* argv[])
{
const char* task = "absent";
int32_t result = VkDaqStartTask(task);
if (result >= 0) {
printf("Successful\n");
}
else {
printf("VkDaq Error: %s\n", VkDaqGetLastErrorInfo());
}
return 0;
}
VkDaqStartTask
int32_t VkDaqStartTask(const char *task)
Start task.
VkDaqGetLastErrorInfo
const char * VkDaqGetLastErrorInfo(void)
Get the error message of the last execution.